inNovaAPI
REST API

Orderbooks

Real-time orderbook depth data

Get Orderbook

GET /api/ext/v1/orderbooks/:asset_id

Scope: markets:read

Returns the current orderbook depth for a given token (outcome asset). The asset_id is the token_id_a or token_id_b from market data.

Path Parameters

ParameterTypeDescription
asset_idstringToken ID from market token_id_a or token_id_b

cURL Example

ASSET_ID="42881612871834249183178324480044965376729876020932315600652429312212263140"
API_KEY="po_live_your_api_key"
API_SECRET="your_api_secret"
TIMESTAMP=$(date +%s%3N)
NONCE=$(openssl rand -hex 16)
PATH="/api/ext/v1/orderbooks/${ASSET_ID}"

BODY_HASH=$(echo -n "" | openssl dgst -sha256 | awk '{print $NF}')
SIGNING_STRING="GET\n${PATH}\n${TIMESTAMP}\n${NONCE}\n${BODY_HASH}"
SIGNATURE=$(echo -ne "$SIGNING_STRING" | openssl dgst -sha256 -hmac "$API_SECRET" | awk '{print $NF}')

curl -s "https://api.winnova.pro${PATH}" \
  -H "X-API-KEY: $API_KEY" \
  -H "X-API-TIMESTAMP: $TIMESTAMP" \
  -H "X-API-SIGNATURE: $SIGNATURE" \
  -H "X-API-NONCE: $NONCE"

Response

{
  "success": true,
  "data": {
    "asset_id": "42881612871834249183...",
    "bids": [
      { "price": "0.54", "size": "1500.00" },
      { "price": "0.53", "size": "3200.00" }
    ],
    "asks": [
      { "price": "0.55", "size": "1200.00" },
      { "price": "0.56", "size": "2800.00" }
    ],
    "hash": "25f6f6d2a50bdb9de6d1cfd6978b428e7c2e400e",
    "min_order_size": 5,
    "timestamp": "0001-01-01T00:00:00Z",
    "updated_at_ms": 1775268429198
  }
}

Error Response

{ "success": false, "error": "Order book not found" }

Status 200 with error — no active orderbook for the given asset. Only markets with active liquidity have orderbooks.

Understanding the Orderbook

  • Bids — buy orders, sorted by price descending (highest first)
  • Asks — sell orders, sorted by price ascending (lowest first)
  • Price — ranges 0.01–0.99, represents implied probability
  • Size — USDC amount available at that price level
  • min_order_size — minimum order size in USDC for this market

For real-time updates, subscribe to the WebSocket topic market:{token_id}:book instead of polling.